标签归档:浏览器

Jquery判断ie浏览器版本,用$.support替换$.browser判断

如果你也是Jquery最初的使用者,那么你一定经历过这样判断浏览器的时代:$.browser.msie && $.browser.version,你目前使用的组件里可能还有应用。但是Jquery1.3以后就不建议使用了,到jQuery 1.9之后就不复存在了。应该是因为到ie8以上的版本判断就有问题了…

只有另外想办法,使用$.support来判断浏览器!测试如下代码:

如果要检查ie浏览器,干脆直接使用 var isIE = /msie/.test(navigator.userAgent.toLowerCase());

条件注释判断兼容浏览器版本CSS HACK

<!–[if lt IE 9]>
加载CSS1
<!–[else]>
加载CSS2
<![endif]–>

阅读全文 条件注释判断兼容浏览器版本CSS HACK